This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 198346 - Package alsa-utils lacks IPv6 support
Package alsa-utils lacks IPv6 support
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-utils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks: IPv6Blocker
  Show dependency treegraph
 
Reported: 2006-07-11 05:50 EDT by Peter Vrabec
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-16 08:22:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
IPv6 patch for alsa-utils-1.0.11rc2 (3.86 KB, patch)
2006-07-17 07:52 EDT, Milan Zazrivec
no flags Details | Diff
an updated patch, need to test, I work on it... (7.46 KB, patch)
2006-08-30 05:28 EDT, Martin Stransky
no flags Details | Diff

  None (edit)
Description Peter Vrabec 2006-07-11 05:50:38 EDT
This bug was reported automaticaly in connection with IPv6 project.
Our aim is to support IPv6 in all Fedora Core packages so FC6 and RHEL5 will be ready for IPv6.
			
This package seems to lack IPv6 support as is illustrated in attached log.
	
Here follows part of scanning log (grep -r F_INET *)/up to 30 lines: 

/alsa-utils-1.0.11rc2/seq/aseqnet/aseqnet.c:335:	addr.sin_family = AF_INET;
/alsa-utils-1.0.11rc2/seq/aseqnet/aseqnet.c:339:	sockfd = socket(AF_INET, SOCK_STREAM, 0);
/alsa-utils-1.0.11rc2/seq/aseqnet/aseqnet.c:401:	if ((fd = socket(AF_INET, SOCK_STREAM, IPPROTO_TCP)) < 0){
/alsa-utils-1.0.11rc2/seq/aseqnet/aseqnet.c:414:	addr.sin_family = AF_INET;
Comment 1 Milan Zazrivec 2006-07-17 07:52:23 EDT
Created attachment 132542 [details]
IPv6 patch for alsa-utils-1.0.11rc2

Proposed patch for IPv6 support in alsa-utils 1.11rc2
Comment 2 Martin Stransky 2006-08-30 05:28:11 EDT
Created attachment 135192 [details]
an updated patch, need to test, I work on it...
Comment 3 Martin Stransky 2007-08-16 08:22:25 EDT
It's a minor functionality and we don't use that network interface in Fedora. If
you believe it should be fixed, please report it at ALSA project, it should be
fixed there.

Note You need to log in before you can comment on or make changes to this bug.